<template>
    <div class="tag-header">
        <tag-placeholder :tag="tag"></tag-placeholder>
        <tag-options :tag="tag"></tag-options>
    </div>
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'
import { Prop } from 'vue-property-decorator'
import TagPlaceholder from '@/app/Editor/components/primitives/TagPlaceholder.vue'
import TagOptions from './TagOptions.vue'
import { ITag } from '@/store/types/tags'

@Component({
    components: { TagPlaceholder, TagOptions },
})
export default class App extends Vue {
    // Props

    @Prop() tag!: ITag
}
</script>